bug fix
[automated-distro-installer] / faiserver-revm
index 6d598a6f3f084b1771e3f6fb3fa7ffa1cb7d9882..65073340a30a48f7b3066b5c5c0a2bb508e6fe08 100755 (executable)
@@ -1,28 +1,42 @@
-#!/bin/bash -l
-set -x
+#!/bin/bash
+# This file is part of Ian Kelling's automated-distro-installer
+# Copyright (C) 2024 Ian Kelling
 
-set -eE -o pipefail
-cleanup() { :; }
-trap 'cleanup; echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
 
-x="$(readlink -f "$BASH_SOURCE")"; cd ${x%/*}
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
+set -e; . /usr/local/lib/bash-bear; set +e
 
 usage() {
     cat <<EOF
-usage: ${0##*/} [-h|--help]
+usage: this-script [-h|--help]
 Create a vm which is a fai server.
 
 This assumes you've set the dhcp server to make 52:54:00:56:09:f9 be
 faiserver. That mac is a randomly generated one in the libvirt range.
+
+WARNING: has hardcoded IP and name for for my local lan
 EOF
     exit $1
 }
 case $1 in
-    -h|--help) usage ;;
+    -h|--help) usage 0 ;;
+    *) usage 1 ;;
 esac
 
-cleanup() { pxe-server :; }
-./debian-pxe-preseed -i 192.168.1.1 -u ian -g vda
+err-cleanup() { pxe-server :; }
+./debian-pxe-preseed -i 10.0.0.1 -u iank -g vda
 
 name=faiserver
 s virshrm $name ||:
@@ -37,12 +51,12 @@ s virt-install --os-variant debian8 --cpu host -n $name --pxe -r 1024 --vcpus 1
 sleep $((60*6)) # takes like 10x as long as a fai install!
 
 opts="-oStrictHostKeyChecking=false -oUserKnownHostsFile=/dev/null"
-while ! scp $opts faiserver-setup root@faiserver:; do
+while ! scp $opts faiserver-setup root@faiserver.b8.nz:; do
     sleep 5
 done
 
 # note: with a vm, pxe boot is turned off in the bios after it's first reboot.
-cleanup() { :; }
+err-cleanup() { :; }
 ./pxe-server
 
-ssh $opts root@faiserver ./faiserver-setup
+ssh $opts root@faiserver.b8.nz ./faiserver-setup